+ Reply to Thread
Results 1 to 9 of 9
  1. #1
    Junior Member
    Using
    AutoCAD 2010
    Join Date
    Apr 2009
    Posts
    21

    Default Hatching over text

    Registered forum members do not see this ad.

    Hi,

    I've searched several forums looking for a lisp routine that can hatch a text boundary but can't find anything. I need to hatch directly over text and/or mtext. Is there anything out there that will allow me to hatch the text within the boundaries that would normally be used as a mask, or in the case of mtext...the text background boundary?

    Thanks,

    rob

  2. #2
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,105

    Default

    Wouldn't disabling island detection allow you to hatch over text?
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

  3. #3
    Super Member
    Discipline
    Multi-disciplinary
    Using
    AutoCAD 2015
    Join Date
    Nov 2013
    Posts
    981

    Default

    Hi,
    For background mask check this.
    For overlapping IMO its easy to provide a solution.

  4. #4
    Junior Member
    Using
    AutoCAD 2010
    Join Date
    Apr 2009
    Posts
    21

    Default

    Basically, I want to be able to select the text or mtext as a valid boundary.

  5. #5
    Super Member
    Discipline
    Multi-disciplinary
    Using
    AutoCAD 2015
    Join Date
    Nov 2013
    Posts
    981

    Default

    I'm not sure what do you mean by boundary. Here are few scenarios:

    hatching over (using boundingbox)



    hatching below (using boundary)

  6. #6
    Super Moderator rkmcswain's Avatar
    Computer Details
    rkmcswain's Computer Details
    Operating System:
    Windows 7 Pro x64
    Computer:
    HP ZBook 17
    CPU:
    i7-4810MQ @ 2.80 GHZ
    RAM:
    16GB
    Graphics:
    Nvidia Quadro K4100M
    Primary Storage:
    256GB SSD
    Secondary Storage:
    1TB SATA
    Monitor:
    (2) HP 23"
    Discipline
    Civil
    rkmcswain's Discipline Details
    Discipline
    Civil
    Details
    CAD Manager
    Using
    Civil 3D 2017
    Join Date
    Sep 2005
    Location
    Houston
    Posts
    4,425

    Default

    Something like this?

    R.K. McSwain
    CAD Panacea | twitter

  7. #7
    Junior Member
    Using
    AutoCAD 2010
    Join Date
    Apr 2009
    Posts
    21

    Default

    Quote Originally Posted by rkmcswain View Post
    Something like this?

    Yes, rkmcswain...exactly like that...with the ability to work mtext as well.

    @grrr...a boundary that is used/generated when using the wipeout from the textmask command.

  8. #8
    Super Moderator rkmcswain's Avatar
    Computer Details
    rkmcswain's Computer Details
    Operating System:
    Windows 7 Pro x64
    Computer:
    HP ZBook 17
    CPU:
    i7-4810MQ @ 2.80 GHZ
    RAM:
    16GB
    Graphics:
    Nvidia Quadro K4100M
    Primary Storage:
    256GB SSD
    Secondary Storage:
    1TB SATA
    Monitor:
    (2) HP 23"
    Discipline
    Civil
    rkmcswain's Discipline Details
    Discipline
    Civil
    Details
    CAD Manager
    Using
    Civil 3D 2017
    Join Date
    Sep 2005
    Location
    Houston
    Posts
    4,425

    Default

    This is mostly some code I had for doing something similar at one time.
    It will essentially work for any selected object, and of course there is no error checking here.

    Code:
    (defun c:foo ( / sel obj var1 var2 pt1 pt2)
      (setq sel (entsel))
      (setq obj (vlax-ename->vla-object (car sel)))
      (vlax-invoke-method obj 'GetBoundingBox 'var1 'var2)
      (setq pt1 (vlax-safearray->list var1)
    	pt2 (vlax-safearray->list var2)
      )  
      (vl-cmdf "bhatch" "_W" "_N"
    	   pt1
    	   (list (car pt1)(cadr pt2))
    	   pt2
    	   (list (car pt2)(cadr pt1))
    	   "_C"
    	   ""
    	   "_P"
    	   "ANSI35"
    	   "1.0"
    	   "0.0"
    	   ""
    	   )
    
    )
    R.K. McSwain
    CAD Panacea | twitter

  9. #9
    Junior Member
    Using
    AutoCAD 2010
    Join Date
    Apr 2009
    Posts
    21

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by rkmcswain View Post
    This is mostly some code I had for doing something similar at one time.
    It will essentially work for any selected object, and of course there is no error checking here.

    Code:
    (defun c:foo ( / sel obj var1 var2 pt1 pt2)
      (setq sel (entsel))
      (setq obj (vlax-ename->vla-object (car sel)))
      (vlax-invoke-method obj 'GetBoundingBox 'var1 'var2)
      (setq pt1 (vlax-safearray->list var1)
    	pt2 (vlax-safearray->list var2)
      )  
      (vl-cmdf "bhatch" "_W" "_N"
    	   pt1
    	   (list (car pt1)(cadr pt2))
    	   pt2
    	   (list (car pt2)(cadr pt1))
    	   "_C"
    	   ""
    	   "_P"
    	   "ANSI35"
    	   "1.0"
    	   "0.0"
    	   ""
    	   )
    
    )
    Thanks! That works great! I made an adjustment for the pattern type...but still very much what I was looking for.

Similar Threads

  1. Hatching and blank areas around text
    By acjam in forum AutoCAD Beginners' Area
    Replies: 4
    Last Post: 15th May 2015, 06:59 pm
  2. Text over hatching Help
    By Dibz in forum AutoCAD Beginners' Area
    Replies: 9
    Last Post: 26th Jul 2010, 05:18 pm
  3. Text & Solid Fill Hatching
    By gortex in forum AutoCAD Drawing Management & Output
    Replies: 15
    Last Post: 12th Dec 2006, 08:17 pm
  4. Hatching
    By gortex in forum AutoCAD Beginners' Area
    Replies: 7
    Last Post: 10th May 2006, 10:01 pm
  5. HATCHING AND TEXT
    By stewartthorp in forum AutoCAD General
    Replies: 8
    Last Post: 21st Sep 2004, 09:55 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts